<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 4.11.1: File Inclusion</title>
<link href="sx7k.html" rev=precedes>
<link href="sx7m.html" rel=precedes>
<link href="sx7.html" rev=subdocument>
</head>
<body>
<H2>section 4.11.1: File Inclusion</H2>

<p>The two syntaxes for <TT>#include</TT> lines can be used in various ways,
but very simply speaking,
<TT>""</TT> is for header files you've written,
and <TT>&lt;&gt;</TT> is for headers which are provided for you
(which someone else has written).
</p><p>page 89
</p><p>Deep sentences:
<blockquote><TT>#include</TT> is the preferred way
to tie the declarations together
for a large program.
It guarantees that all the source files will be supplied with 
the same definitions and variable declarations,
and thus eliminates a particularly nasty kind of bug.
Naturally,
when an included file is changed,
all files that depend on it must be recompiled.
</blockquote>That's the story on <TT>#include</TT>, in a nutshell.
</p><hr>
<p>
Read sequentially:
<a href="sx7k.html" rev=precedes>prev</a>
<a href="sx7m.html" rel=precedes>next</a>
<a href="sx7.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
